package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag769;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT752Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT769Creator;

/**
 * @author wanggang
 * @date 2023-03-02
 */
public class Tag57aCreator extends AbsTagCreate {

     private MT769Creator mt769Creator;

    public Tag57aCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt769Creator= (MT769Creator) absMTCreator;
    }

    public void creator()
    {
        handlerBicAdrCreator(mt769Creator,"accountWithBank");
    }
}

